#! /usr/bin/perl

use strict;

# read sysex contents from the binary file
# return only the text part of the message,
# excluding the header bytes
sub readSysex($)
{
	my ($file) = @_;
	
	my $next;
	my $bytes = read ( $file, $next, 1 );
	$next ne 0xf0 || die "not f0";
	
	my $line = '';
	$bytes = read ( $file, $next, 1 );
	while ( $next ne "\xf7" && $bytes != 0 )
	{
		$line = $line.$next;
		$bytes = read ( $file, $next, 1 );
	}
	
	return $line;
}

my $file = $ARGV[0];
open FILE, "<$file";

for ( my $line = readSysex(*FILE); $line ne ''; $line = readSysex(*FILE) )
{
	# output the contents
	print substr ( $line, 8 ), "\n";
}

close FILE;
